import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.DateFormatSymbols;
 
public class DateSymbolsFormat {
    public static void main(String[] args) {
        String[] MONTHS = {"JANUARY", "FEBRUARY", "MARCH", "APRIL", "MAY", "JUNE",
                "JULY", "AUGUST", "SEPTEMBER", "OCTOBER", "NOVEMBER", "DECEMBER"};
        String[] ShortMONTHS = {"JAN", "FEB", "MAR", "APR", "MAY", "JUN",
                "JUL", "AUG", "SEP", "OCT", "NOV", "DEC"};
        String[] Weekdays = {"", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"};
        String[] shortWeekdays = {"", "MON", "TUE", "WED", "THU", "FRI", "SAT", "SUN"};
 
        DateFormatSymbols symbols = new DateFormatSymbols();
			symbols.setMonths(MONTHS);
			symbols.setShortMonths(ShortMONTHS);
			symbols.setWeekdays(Weekdays);
			symbols.setShortWeekdays(shortWeekdays);

		  ////////////////////////////////////////////////////////////////
		 // Format date into dd-MMMM-yyyy format e.g 10-OCTOBER-2008   //
		////////////////////////////////////////////////////////////////
         DateFormat format = new SimpleDateFormat("dd-MMMM-yyyy", symbols);
         System.out.println(format.format(new Date()));
        
		 /////////////////////////////////////////////////////////////
		// Format date into dd-MMM-yyyy format e.g 10-OCT-2008     //
       /////////////////////////////////////////////////////////////
        format = new SimpleDateFormat("dd-MMM-yyyy", symbols);
        System.out.println(format.format(new Date()));
 
        ///////////////////////////////////////////////////////////////////////////
	   //  Format date into EEEE, dd-MMM-yyyy format e.g SATURDAY,10-OCT-2008   //
	  ///////////////////////////////////////////////////////////////////////////
        format = new SimpleDateFormat("EEEE, dd-MMM-yyyy", symbols);
        System.out.println(format.format(new Date()));

		 ///////////////////////////////////////////////////////////////////////////
	    //  Format date into E, dd-MMM-yyyy format e.g SAT,10-OCT-2008           //
	   ///////////////////////////////////////////////////////////////////////////
        format = new SimpleDateFormat("E, dd-MMM-yyyy", symbols);
        System.out.println(format.format(new Date()));
    }
}
